Package fr.gouv.vitam.worker.core.plugin.revertupdate

# Class RevertUpdateUnitPlugin

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.plugin.StoreObjectActionHandler
fr.gouv.vitam.worker.core.plugin.StoreMetadataObjectActionHandler
fr.gouv.vitam.worker.core.plugin.bulkatomicupdate.BulkAtomicUpdateProcess
fr.gouv.vitam.worker.core.plugin.revertupdate.RevertUpdateUnitPlugin

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class RevertUpdateUnitPlugin extends BulkAtomicUpdateProcess

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `REVERT_UPDATE_UNITS`

  ### Fields inherited from class fr.gouv.vitam.worker.core.plugin.bulkatomicupdate.BulkAtomicUpdateProcess

  `BULK_ATOMIC_UPDATE_UNITS_PLUGIN_NAME, ORIGINAL_QUERY_ROOT_KEY, QUERY_INDEX_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RevertUpdateUnitPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getPluginId()`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.bulkatomicupdate.BulkAtomicUpdateProcess

  `execute, executeList`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.StoreMetadataObjectActionHandler

  `getRawLogbookLifeCycleById, selectMetadataDocumentRawById`

  ### Methods inherited from class fr.gouv.vitam.worker.core.plugin.StoreObjectActionHandler

  `storeObject, storeObjects, storeStorageInfos, updateSubTasksAndTasksFromStorageInfos`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryIOParameter, checkMandatoryParameters, close, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### REVERT_UPDATE_UNITS

    public static final String REVERT_UPDATE_UNITS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RevertUpdateUnitPlugin

    public RevertUpdateUnitPlugin()

- ## Method Details

  - ### getPluginId

    public String getPluginId()
    Overrides:
      `getPluginId` in class `BulkAtomicUpdateProcess`
    Returns:
      HANDLER_ID